summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michael Heras <userxbw@gmail.com>2018-02-23 06:18:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-02-24 06:55:39 +0700
commit1a996aa2859eb6ad7b83c808733c98d784c8b15f (patch)
treea9b51571c42c88547b7602c96812617f3cb1d1a4 /desktop
parent9186f76d6a327efd5959bd168b00dfb2a6294fe3 (diff)
downloadslackbuilds-1a996aa2859eb6ad7b83c808733c98d784c8b15f.tar.gz
slackbuilds-1a996aa2859eb6ad7b83c808733c98d784c8b15f.tar.xz
desktop/wmbutton: Added (3 button actions).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmbutton/README7
-rw-r--r--desktop/wmbutton/doinst.sh18
-rw-r--r--desktop/wmbutton/slack-desc19
-rw-r--r--desktop/wmbutton/wmbutton.SlackBuild103
-rw-r--r--desktop/wmbutton/wmbutton.info10
5 files changed, 157 insertions, 0 deletions
diff --git a/desktop/wmbutton/README b/desktop/wmbutton/README
new file mode 100644
index 0000000000..1d46d0302c
--- /dev/null
+++ b/desktop/wmbutton/README
@@ -0,0 +1,7 @@
+Wmbutton is a 64x64 pixel application that displays nine buttons.
+Each of these buttons can be configured via a configuration file
+to run just about any application you’d like to. Basically, if you
+can type it in a shell command, wmbutton can run it.
+The graphics of in each button may, of course, be changed as well.
+
+3 Button action for WindowMaker and 2 button action for Openbox
diff --git a/desktop/wmbutton/doinst.sh b/desktop/wmbutton/doinst.sh
new file mode 100644
index 0000000000..df0732a365
--- /dev/null
+++ b/desktop/wmbutton/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/wmbutton.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/wmbutton/slack-desc b/desktop/wmbutton/slack-desc
new file mode 100644
index 0000000000..1a1c5b4e7d
--- /dev/null
+++ b/desktop/wmbutton/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmbutton: wmbutton (3 button actions)
+wmbutton:
+wmbutton: Dockapp that is specifically designed to be docked in Windowmaker,
+wmbutton: or Swallowed by wharf in Afterstep. If you are not familiar with these
+wmbutton: windowmanagers, check them out in the links section. Of course, it
+wmbutton: should work in just about any window manager.
+wmbutton:
+wmbutton:
+wmbutton:
+wmbutton:
+wmbutton:
diff --git a/desktop/wmbutton/wmbutton.SlackBuild b/desktop/wmbutton/wmbutton.SlackBuild
new file mode 100644
index 0000000000..f701ca54bf
--- /dev/null
+++ b/desktop/wmbutton/wmbutton.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for <wmbutton>
+
+# Copyright <2018> <Michael Heras> <USA>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmbutton
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/etc/wmbutton.conf $PKG/etc/wmbutton.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmbutton/wmbutton.info b/desktop/wmbutton/wmbutton.info
new file mode 100644
index 0000000000..be3546f49f
--- /dev/null
+++ b/desktop/wmbutton/wmbutton.info
@@ -0,0 +1,10 @@
+PRGNAM="wmbutton"
+VERSION="0.7.1"
+HOMEPAGE="http://www.dockapps.net/wmbutton"
+DOWNLOAD="www.dockapps.net/download/wmbutton-0.7.1.tar.gz"
+MD5SUM="74dc185fabcfd90c96872847c23b8734"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michael Heras"
+EMAIL="userxbw@gmail.com"